ressource.socialbetadocumentation
API referencePush

Whether the caller (or one device) is subscribed

GET
/api/v1/push-subscriptions/status

Sends a real request with your token. Prefer a read-only token; it is kept in this browser's storage.

Authorization

headerAuthorizationBearer <token>

A personal access token (rsk_…) or a Supabase access token.

Query Parameters

endpoint?string
Length1 <= length <= 2048

Response Body

The status

application/json
  1. response
subscribed*boolean
devices*integer
Range-9007199254740991 <= value <= 9007199254740991
curl -X GET 'https://www.ressource.social/api/v1/push-subscriptions/status'
{  "subscribed": true,  "devices": -9007199254740991}